# Uses of Class
ch.qos.logback.core.pattern.PatternLayoutBase

Packages that use PatternLayoutBase
Package
Description
ch.qos.logback.access
This is logback access' main package.
ch.qos.logback.classic
Contains logback classic main classes.
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.

## Uses of PatternLayoutBase in ch.qos.logback.access

Subclasses of PatternLayoutBase in ch.qos.logback.access
Modifier and Type
Class
Description
`class`
`PatternLayout`
This class is a module-specific implementation of `PatternLayout` to allow http-specific patterns to be used.

## Uses of PatternLayoutBase in ch.qos.logback.classic

Subclasses of PatternLayoutBase in ch.qos.logback.classic
Modifier and Type
Class
Description
`class`
`PatternLayout`
A flexible layout configurable with pattern string.

## Uses of PatternLayoutBase in ch.qos.logback.core.net

Methods in ch.qos.logback.core.net that return PatternLayoutBase
Modifier and Type
Method
Description
`protected abstract PatternLayoutBase<E>`
SMTPAppenderBase.`makeNewToPatternLayout(String toPattern)`
Methods in ch.qos.logback.core.net that return types with arguments of type PatternLayoutBase
Modifier and Type
Method
Description
`List<PatternLayoutBase<E>>`
SMTPAppenderBase.`getToList()`
Returns value of the toList option.